]> Gitweb @ Texas Instruments - Open Source Git Repositories - git.TI.com/gitweb - tiesr-gforge/tiesr-gforge.git/commitdiff
[#1434] Add Netbeans configurations to build TIesrDT for ARM using cross-compiler...
authorlnetsch <lnetsch@localhost>
Fri, 6 Jan 2012 18:33:54 +0000 (18:33 +0000)
committerlnetsch <lnetsch@localhost>
Fri, 6 Jan 2012 18:33:54 +0000 (18:33 +0000)
.gitattributes
TIesrDT/TIesrDTso/Makefile
TIesrDT/TIesrDTso/nbproject/Makefile-ArmLinuxDebugGnueabiWinHost.mk [new file with mode: 0644]
TIesrDT/TIesrDTso/nbproject/Makefile-ArmLinuxReleaseGnueabiWinHost.mk [new file with mode: 0644]
TIesrDT/TIesrDTso/nbproject/Makefile-impl.mk
TIesrDT/TIesrDTso/nbproject/Makefile-variables.mk
TIesrDT/TIesrDTso/nbproject/Package-ArmLinuxDebugGnueabiWinHost.bash [new file with mode: 0644]
TIesrDT/TIesrDTso/nbproject/Package-ArmLinuxReleaseGnueabiWinHost.bash [new file with mode: 0644]
TIesrDT/TIesrDTso/nbproject/configurations.xml
TIesrDT/TIesrDTso/nbproject/private/configurations.xml

index 888afadfb8c2c632f22016ae0aad9bdd64c213c9..8091322eca92fc1af7e0a1ddd2b7c2953635102b 100644 (file)
@@ -68,7 +68,9 @@ Documentation/License.lgpl -text
 Documentation/SoftwareManifest.pdf -text
 TIesrDT/TIesrDTso/.dep.inc -text
 TIesrDT/TIesrDTso/nbproject/Makefile-ArmLinuxDebugGnueabi.mk -text
+TIesrDT/TIesrDTso/nbproject/Makefile-ArmLinuxDebugGnueabiWinHost.mk -text
 TIesrDT/TIesrDTso/nbproject/Makefile-ArmLinuxReleaseGnueabi.mk -text
+TIesrDT/TIesrDTso/nbproject/Makefile-ArmLinuxReleaseGnueabiWinHost.mk -text
 TIesrDT/TIesrDTso/nbproject/Makefile-LinuxDebugGnu.mk -text
 TIesrDT/TIesrDTso/nbproject/Makefile-LinuxReleaseGnu.mk -text
 TIesrDT/TIesrDTso/nbproject/Makefile-WindowsDebugMinGW.mk -text
@@ -76,7 +78,9 @@ TIesrDT/TIesrDTso/nbproject/Makefile-WindowsReleaseMinGW.mk -text
 TIesrDT/TIesrDTso/nbproject/Makefile-impl.mk -text
 TIesrDT/TIesrDTso/nbproject/Makefile-variables.mk -text
 TIesrDT/TIesrDTso/nbproject/Package-ArmLinuxDebugGnueabi.bash -text
+TIesrDT/TIesrDTso/nbproject/Package-ArmLinuxDebugGnueabiWinHost.bash -text
 TIesrDT/TIesrDTso/nbproject/Package-ArmLinuxReleaseGnueabi.bash -text
+TIesrDT/TIesrDTso/nbproject/Package-ArmLinuxReleaseGnueabiWinHost.bash -text
 TIesrDT/TIesrDTso/nbproject/Package-LinuxDebugGnu.bash -text
 TIesrDT/TIesrDTso/nbproject/Package-LinuxReleaseGnu.bash -text
 TIesrDT/TIesrDTso/nbproject/Package-WindowsDebugMinGW.bash -text
index a6ebbbf1b01d939332633330addd02e575329fc7..5db4dcb0c34e02dd80569a03d151bfbf339c6a27 100755 (executable)
@@ -83,6 +83,10 @@ build: .build-post
        cd ../../Dist/${CONF}/lib; \
        rm -f libTIesrDT.so; \
        ln -s libTIesrDT.so.1 libTIesrDT.so; \
+       elif [ ${CONF} = ArmLinuxDebugGnueabiWinHost -o \
+       ${CONF} = ArmLinuxReleaseGnueabiWinHost ]; \
+       then cd ../../Dist/${CONF}/lib; \
+       cp libTIesrDT.so.1 libTIesrDT.so; \
        fi
 
 # clean
diff --git a/TIesrDT/TIesrDTso/nbproject/Makefile-ArmLinuxDebugGnueabiWinHost.mk b/TIesrDT/TIesrDTso/nbproject/Makefile-ArmLinuxDebugGnueabiWinHost.mk
new file mode 100644 (file)
index 0000000..4c307d6
--- /dev/null
@@ -0,0 +1,17 @@
+.build-conf:
+       @echo Tool collection not found.
+       @echo Please specify existing tool collection in project properties
+       @exit 1
+
+# Clean Targets
+.clean-conf:
+       ${RM} -r build/ArmLinuxDebugGnueabiWinHost
+       ${RM} ../../Dist/ArmLinuxDebugGnueabiWinHost/lib/libTIesrDT.so.1
+
+# Subprojects
+.clean-subprojects:
+
+# Enable dependency checking
+.dep.inc: .depcheck-impl
+
+include .dep.inc
diff --git a/TIesrDT/TIesrDTso/nbproject/Makefile-ArmLinuxReleaseGnueabiWinHost.mk b/TIesrDT/TIesrDTso/nbproject/Makefile-ArmLinuxReleaseGnueabiWinHost.mk
new file mode 100644 (file)
index 0000000..acfbf00
--- /dev/null
@@ -0,0 +1,17 @@
+.build-conf:
+       @echo Tool collection not found.
+       @echo Please specify existing tool collection in project properties
+       @exit 1
+
+# Clean Targets
+.clean-conf:
+       ${RM} -r build/ArmLinuxReleaseGnueabiWinHost
+       ${RM} ../../Dist/ArmLinuxReleaseGnueabiWinHost/lib/libTIesrDT.so.1
+
+# Subprojects
+.clean-subprojects:
+
+# Enable dependency checking
+.dep.inc: .depcheck-impl
+
+include .dep.inc
index 4f9d678415bb2f87a42db02df8963cc848357bd4..b22014492bfd4d3778aca10ae15eaaa17968e455 100644 (file)
@@ -31,7 +31,7 @@ DEFAULTCONF=WindowsDebugMinGW
 CONF=${DEFAULTCONF}
 
 # All Configurations
-ALLCONFS=WindowsDebugMinGW WindowsReleaseMinGW LinuxDebugGnu LinuxReleaseGnu ArmLinuxDebugGnueabi ArmLinuxReleaseGnueabi 
+ALLCONFS=WindowsDebugMinGW WindowsReleaseMinGW LinuxDebugGnu LinuxReleaseGnu ArmLinuxDebugGnueabi ArmLinuxReleaseGnueabi ArmLinuxDebugGnueabiWinHost ArmLinuxReleaseGnueabiWinHost 
 
 
 # build
index ebd6256fde496ae750b5767d5cf618dccec3a6fd..0ca09f99a7a4d6ddf69386cf5fe9ea28003fae6d 100644 (file)
@@ -54,3 +54,19 @@ CND_ARTIFACT_PATH_ArmLinuxReleaseGnueabi=../../Dist/ArmLinuxReleaseGnueabi/lib/l
 CND_PACKAGE_DIR_ArmLinuxReleaseGnueabi=dist/ArmLinuxReleaseGnueabi/arm-none-linux-gnueabi-Linux-x86/package
 CND_PACKAGE_NAME_ArmLinuxReleaseGnueabi=libTIesrDTso.so.tar
 CND_PACKAGE_PATH_ArmLinuxReleaseGnueabi=dist/ArmLinuxReleaseGnueabi/arm-none-linux-gnueabi-Linux-x86/package/libTIesrDTso.so.tar
+# ArmLinuxDebugGnueabiWinHost configuration
+CND_PLATFORM_ArmLinuxDebugGnueabiWinHost=
+CND_ARTIFACT_DIR_ArmLinuxDebugGnueabiWinHost=../../Dist/ArmLinuxDebugGnueabiWinHost/lib
+CND_ARTIFACT_NAME_ArmLinuxDebugGnueabiWinHost=libTIesrDT.so.1
+CND_ARTIFACT_PATH_ArmLinuxDebugGnueabiWinHost=../../Dist/ArmLinuxDebugGnueabiWinHost/lib/libTIesrDT.so.1
+CND_PACKAGE_DIR_ArmLinuxDebugGnueabiWinHost=dist/ArmLinuxDebugGnueabiWinHost//package
+CND_PACKAGE_NAME_ArmLinuxDebugGnueabiWinHost=libTIesrDTso.so.tar
+CND_PACKAGE_PATH_ArmLinuxDebugGnueabiWinHost=dist/ArmLinuxDebugGnueabiWinHost//package/libTIesrDTso.so.tar
+# ArmLinuxReleaseGnueabiWinHost configuration
+CND_PLATFORM_ArmLinuxReleaseGnueabiWinHost=
+CND_ARTIFACT_DIR_ArmLinuxReleaseGnueabiWinHost=../../Dist/ArmLinuxReleaseGnueabiWinHost/lib
+CND_ARTIFACT_NAME_ArmLinuxReleaseGnueabiWinHost=libTIesrDT.so.1
+CND_ARTIFACT_PATH_ArmLinuxReleaseGnueabiWinHost=../../Dist/ArmLinuxReleaseGnueabiWinHost/lib/libTIesrDT.so.1
+CND_PACKAGE_DIR_ArmLinuxReleaseGnueabiWinHost=dist/ArmLinuxReleaseGnueabiWinHost//package
+CND_PACKAGE_NAME_ArmLinuxReleaseGnueabiWinHost=libTIesrDTso.so.tar
+CND_PACKAGE_PATH_ArmLinuxReleaseGnueabiWinHost=dist/ArmLinuxReleaseGnueabiWinHost//package/libTIesrDTso.so.tar
diff --git a/TIesrDT/TIesrDTso/nbproject/Package-ArmLinuxDebugGnueabiWinHost.bash b/TIesrDT/TIesrDTso/nbproject/Package-ArmLinuxDebugGnueabiWinHost.bash
new file mode 100644 (file)
index 0000000..c48585b
--- /dev/null
@@ -0,0 +1,74 @@
+#!/bin/bash -x
+
+#
+# Generated - do not edit!
+#
+
+# Macros
+TOP=`pwd`
+CND_PLATFORM=
+CND_CONF=ArmLinuxDebugGnueabiWinHost
+CND_DISTDIR=dist
+TMPDIR=build/${CND_CONF}/${CND_PLATFORM}/tmp-packaging
+TMPDIRNAME=tmp-packaging
+OUTPUT_PATH=../../Dist/${CND_CONF}/lib/libTIesrDT.so.1
+OUTPUT_BASENAME=libTIesrDT.so.1
+PACKAGE_TOP_DIR=libTIesrDTso.so/
+
+# Functions
+function checkReturnCode
+{
+    rc=$?
+    if [ $rc != 0 ]
+    then
+        exit $rc
+    fi
+}
+function makeDirectory
+# $1 directory path
+# $2 permission (optional)
+{
+    mkdir -p "$1"
+    checkReturnCode
+    if [ "$2" != "" ]
+    then
+      chmod $2 "$1"
+      checkReturnCode
+    fi
+}
+function copyFileToTmpDir
+# $1 from-file path
+# $2 to-file path
+# $3 permission
+{
+    cp "$1" "$2"
+    checkReturnCode
+    if [ "$3" != "" ]
+    then
+        chmod $3 "$2"
+        checkReturnCode
+    fi
+}
+
+# Setup
+cd "${TOP}"
+mkdir -p ${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/package
+rm -rf ${TMPDIR}
+mkdir -p ${TMPDIR}
+
+# Copy files and create directories and links
+cd "${TOP}"
+makeDirectory ${TMPDIR}/libTIesrDTso.so/lib
+copyFileToTmpDir "${OUTPUT_PATH}" "${TMPDIR}/${PACKAGE_TOP_DIR}lib/${OUTPUT_BASENAME}" 0644
+
+
+# Generate tar file
+cd "${TOP}"
+rm -f ${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/package/libTIesrDTso.so.tar
+cd ${TMPDIR}
+tar -vcf ../../../../${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/package/libTIesrDTso.so.tar *
+checkReturnCode
+
+# Cleanup
+cd "${TOP}"
+rm -rf ${TMPDIR}
diff --git a/TIesrDT/TIesrDTso/nbproject/Package-ArmLinuxReleaseGnueabiWinHost.bash b/TIesrDT/TIesrDTso/nbproject/Package-ArmLinuxReleaseGnueabiWinHost.bash
new file mode 100644 (file)
index 0000000..d7e53b0
--- /dev/null
@@ -0,0 +1,74 @@
+#!/bin/bash -x
+
+#
+# Generated - do not edit!
+#
+
+# Macros
+TOP=`pwd`
+CND_PLATFORM=
+CND_CONF=ArmLinuxReleaseGnueabiWinHost
+CND_DISTDIR=dist
+TMPDIR=build/${CND_CONF}/${CND_PLATFORM}/tmp-packaging
+TMPDIRNAME=tmp-packaging
+OUTPUT_PATH=../../Dist/${CND_CONF}/lib/libTIesrDT.so.1
+OUTPUT_BASENAME=libTIesrDT.so.1
+PACKAGE_TOP_DIR=libTIesrDTso.so/
+
+# Functions
+function checkReturnCode
+{
+    rc=$?
+    if [ $rc != 0 ]
+    then
+        exit $rc
+    fi
+}
+function makeDirectory
+# $1 directory path
+# $2 permission (optional)
+{
+    mkdir -p "$1"
+    checkReturnCode
+    if [ "$2" != "" ]
+    then
+      chmod $2 "$1"
+      checkReturnCode
+    fi
+}
+function copyFileToTmpDir
+# $1 from-file path
+# $2 to-file path
+# $3 permission
+{
+    cp "$1" "$2"
+    checkReturnCode
+    if [ "$3" != "" ]
+    then
+        chmod $3 "$2"
+        checkReturnCode
+    fi
+}
+
+# Setup
+cd "${TOP}"
+mkdir -p ${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/package
+rm -rf ${TMPDIR}
+mkdir -p ${TMPDIR}
+
+# Copy files and create directories and links
+cd "${TOP}"
+makeDirectory ${TMPDIR}/libTIesrDTso.so/lib
+copyFileToTmpDir "${OUTPUT_PATH}" "${TMPDIR}/${PACKAGE_TOP_DIR}lib/${OUTPUT_BASENAME}" 0644
+
+
+# Generate tar file
+cd "${TOP}"
+rm -f ${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/package/libTIesrDTso.so.tar
+cd ${TMPDIR}
+tar -vcf ../../../../${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/package/libTIesrDTso.so.tar *
+checkReturnCode
+
+# Cleanup
+cd "${TOP}"
+rm -rf ${TMPDIR}
index 24d8e593a6630e72cb25ddebe865f8f7e1e67c56..fda1d2ff1f76d4fbf7c9d9f8acb49334cf1a8b68 100755 (executable)
         </linkerTool>
       </compileType>
     </conf>
+    <conf name="ArmLinuxDebugGnueabiWinHost" type="2">
+      <toolsSet>
+        <developmentServer>localhost</developmentServer>
+        <compilerSet>arm-linux_win_host|Cygwin</compilerSet>
+        <platform>2</platform>
+      </toolsSet>
+      <compileType>
+        <cTool>
+          <commandLine>-v</commandLine>
+          <warningLevel>2</warningLevel>
+        </cTool>
+        <linkerTool>
+          <output>../../Dist/${CND_CONF}/lib/libTIesrDT.so.1</output>
+          <linkerLibItems>
+          </linkerLibItems>
+          <commandLine>-Wl,-znow,-zdefs -Wl,-h,libTIesrDT.so.1 -Wl,--version-script=../resource/TIesrDTso.map</commandLine>
+        </linkerTool>
+      </compileType>
+    </conf>
+    <conf name="ArmLinuxReleaseGnueabiWinHost" type="2">
+      <toolsSet>
+        <developmentServer>localhost</developmentServer>
+        <compilerSet>arm-linux_win_host|Cygwin</compilerSet>
+        <platform>2</platform>
+      </toolsSet>
+      <compileType>
+        <cTool>
+          <developmentMode>5</developmentMode>
+          <commandLine>-v</commandLine>
+          <warningLevel>2</warningLevel>
+        </cTool>
+        <linkerTool>
+          <output>../../Dist/${CND_CONF}/lib/libTIesrDT.so.1</output>
+          <linkerLibItems>
+          </linkerLibItems>
+          <commandLine>-Wl,-znow,-zdefs -Wl,-h,libTIesrDT.so.1 -Wl,--version-script=../resource/TIesrDTso.map</commandLine>
+        </linkerTool>
+      </compileType>
+    </conf>
   </confs>
 </configurationDescriptor>
index a1af2a8515a0164617920522214de7098e5025eb..76c1a18e3fc71e8251c6c70bb290bb391aeccff4 100755 (executable)
         </environment>
       </runprofile>
     </conf>
+    <conf name="ArmLinuxDebugGnueabiWinHost" type="2">
+      <gdbdebugger version="2">
+        <gdb_command>gdb</gdb_command>
+        <array_repeat_threshold>10</array_repeat_threshold>
+      </gdbdebugger>
+      <gizmo_options version="1">
+      </gizmo_options>
+      <runprofile version="5">
+        <args></args>
+        <rundir></rundir>
+        <buildfirst>true</buildfirst>
+        <console-type>0</console-type>
+        <terminal-type>0</terminal-type>
+        <environment>
+        </environment>
+      </runprofile>
+    </conf>
+    <conf name="ArmLinuxReleaseGnueabiWinHost" type="2">
+      <gdbdebugger version="2">
+        <gdb_command>gdb</gdb_command>
+        <array_repeat_threshold>10</array_repeat_threshold>
+      </gdbdebugger>
+      <gizmo_options version="1">
+      </gizmo_options>
+      <runprofile version="5">
+        <args></args>
+        <rundir></rundir>
+        <buildfirst>true</buildfirst>
+        <console-type>0</console-type>
+        <terminal-type>0</terminal-type>
+        <environment>
+        </environment>
+      </runprofile>
+    </conf>
   </confs>
 </configurationDescriptor>